@import './variables';

.banner-container{
    display: flex;
    overflow: hidden;
}

.banner-box{
    display: inline-flex;
    width: 100%;
    min-width: 100vw;
    transform: translateX(0);
    animation: banner_animated ease infinite 15s;
    transition: transform ease .4s;
}

.description-movie{
    @include FlexDisplayed(center, flex-start);
    flex-direction: column;
    width: 30%;
    padding: 25px;
}

.description-movie__h1{
    font-size: clamp(1.2em, 2vw, 6em);
}

.description-movie__p{
    font-size: clamp(1em, 1.2vw, 5em);
    overflow: hidden;
    text-overflow: ellipsis;
}

.description-movie__p.hidden{
    max-height: 150px;
}

.read-more__button{
    cursor: pointer;
    color: #0c0c0c;
    background-color: transparent;
    border: none;
    padding: 10px;
}

.banner-movie{
    @include FlexDisplayed(center, center);
    width: 70%;
    position: relative;
    &::before{
        content: '';
        display: block;
        position: absolute;
        border-right: 300px solid transparent;
        border-bottom: 100vh solid rgba($color: $main_color, $alpha: 1);
        filter: blur(5px);
        left: -15px;
    }
    img {
        width: 100%;
    }
}

.btn-box{
    @include FlexDisplayed(flex-start, center);
    margin-top: 10px;
    column-gap: 25px;
    width: 100%;
    button {
        padding: 10px;
        box-sizing: border-box;
        border: none;
        cursor: pointer;
        background-color: transparent;
        border: 1px solid #000;
    }
}

.btn-secondary-rounded{
    @include FlexDisplayed(center, center);
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

@media only screen and (max-width: 800px){
    .banner-box{
        flex-direction: column-reverse;
        justify-content: flex-end;
        & > *{
            width: 100%;
        }
    }

    .banner-movie{
        position: relative;
        &::before{
            content: '';
            border-right: none;
            border-bottom: none;
            background-color: rgba($color: #000, $alpha: .5);
            width: 100%;
            height: 100%;
            left: -15px;
        }
    }
}